<?php

declare(strict_types=1);

namespace mirzaev\site\wanda\controllers;

// Файлы проекта
use mirzaev\site\wanda\views\manager;
use mirzaev\site\wanda\models\core as models;

// Библиотека для ArangoDB
use ArangoDBClient\Document as _document;

// Фреймворк PHP
use mirzaev\minimal\controller;

// Фреймворк ВКонтакте
use mirzaev\vk\core as vk;
use mirzaev\vk\robots\user as robot;

/**
 * Ядро контроллеров
 *
 * @package mirzaev\site\wanda\controllers
 * @author Arsen Mirzaev Tatyano-Muradovich <arsen@mirzaev.sexy>
 */
class core extends controller
{
    /**
     * Переменные окружения
     */
    protected robot $vk;

    /**
     * Переменные окружения
     */
    protected array $variables = [];

    /**
     * Конструктор
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();

        // Инициализация ядра моделей (соединение с базой данных...)
        new models();

        // Инициализация журнала ошибок
        $this->variables['errors'] = [
        ];

        // Инициализация препроцессора представления
        $this->view = new manager;
    }
}
